.TH "pyspottedunipd.analysis.models.MLAnalysis" 3 "Thu Apr 20 2017" "Version 0.0.2" "PySpottedUnipd" \" -*- nroff -*-
.ad l
.nh
.SH NAME
pyspottedunipd.analysis.models.MLAnalysis \- 
.SH SYNOPSIS
.br
.PP
.PP
Inherits \fBpyspottedunipd\&.analysis\&.models\&.StatsAnalysis\fP\&.
.SS "Public Member Functions"

.in +1c
.ti -1c
.RI "def \fB__init__\fP (self, \fBdataset_file\fP)"
.br
.ti -1c
.RI "def \fBparse_csv\fP (self)"
.br
.ti -1c
.RI "def \fBshow_correlation_matrix_of_data\fP (self)"
.br
.ti -1c
.RI "def \fBpredict_feature\fP (self, feature)"
.br
.ti -1c
.RI "def \fBcluster_analyze\fP (self, n_clusters=6)"
.br
.ti -1c
.RI "def \fBcluster_3d_plot\fP (self, labels, n_clusters=6)"
.br
.ti -1c
.RI "def \fBselect_k_best\fP (self, feature, k=5)"
.br
.in -1c
.SS "Static Public Attributes"

.in +1c
.ti -1c
.RI "list \fBHEADERS_TO_ANALYZE\fP"
.br
.ti -1c
.RI "list \fBTIME_HEADERS_TO_CONVERT\fP"
.br
.in -1c
.SS "Additional Inherited Members"
.SH "Detailed Description"
.PP 

.PP
.nf
Carries out popular machine-learning tasks on Facebook posts data 
.fi
.PP
 
.PP
Definition at line 384 of file models\&.py\&.
.SH "Constructor & Destructor Documentation"
.PP 
.SS "def pyspottedunipd\&.analysis\&.models\&.MLAnalysis\&.__init__ ( self,  dataset_file)"

.PP
.nf
:param dataset_file: str
    Path to folder with data to analyse

.fi
.PP
 
.PP
Definition at line 418 of file models\&.py\&.
.SH "Member Function Documentation"
.PP 
.SS "def pyspottedunipd\&.analysis\&.models\&.MLAnalysis\&.cluster_3d_plot ( self,  labels,  n_clusters = \fC6\fP)"

.PP
.nf
:param labels: [] of str (len = 3)
    Features to cluster data. Each item must be in the csv data file. Each label is one of x, y, z axis
:param n_clusters: int
    Number of clusters
:return: void
    Plots 3D chart with clusters based on selected features

.fi
.PP
 
.PP
Definition at line 515 of file models\&.py\&.
.SS "def pyspottedunipd\&.analysis\&.models\&.MLAnalysis\&.cluster_analyze ( self,  n_clusters = \fC6\fP)"

.PP
.nf
:param n_clusters: int
    Number of clusters
:return: void
    Computes cluster analysis: see how each cluster is made up.

.fi
.PP
 
.PP
Definition at line 473 of file models\&.py\&.
.SS "def pyspottedunipd\&.analysis\&.models\&.MLAnalysis\&.parse_csv ( self)"

.PP
.nf
:return: tuple [], [] of []
    Headers of csv file and data

.fi
.PP
 
.PP
Definition at line 426 of file models\&.py\&.
.SS "def pyspottedunipd\&.analysis\&.models\&.MLAnalysis\&.predict_feature ( self,  feature)"

.PP
.nf
:param feature: str
    Name of feature (column name) to predict
:return: void
    Predicts feature with linear regression

.fi
.PP
 
.PP
Definition at line 444 of file models\&.py\&.
.SS "def pyspottedunipd\&.analysis\&.models\&.MLAnalysis\&.select_k_best ( self,  feature,  k = \fC5\fP)"

.PP
.nf
:param feature: str
    Name of feature (column name) to predict
:param k: int
    Number of features to select
:return: void
    Selects the best features to predict feature

.fi
.PP
 
.PP
Definition at line 566 of file models\&.py\&.
.SS "def pyspottedunipd\&.analysis\&.models\&.MLAnalysis\&.show_correlation_matrix_of_data ( self)"

.PP
.nf
:return: void
    Shows correlation matrix of data of files in folder

.fi
.PP
 
.PP
Definition at line 436 of file models\&.py\&.
.SH "Member Data Documentation"
.PP 
.SS "list pyspottedunipd\&.analysis\&.models\&.MLAnalysis\&.HEADERS_TO_ANALYZE\fC [static]\fP"
\fBInitial value:\fP
.PP
.nf
1 = [
2         # "message",
3         "comments",
4         # "date",
5         # "time",
6         "likes",
7         "shares",
8         # "id",
9         # "year",
10         "month",
11         "day",
12         "hour",
13         "minute",
14         # "second",
15         "# words",
16         "avg length of words",
17         "# words longer than 3",
18         "avg length of words longer than 3",
19         "# words longer than 5",
20         "avg length of words longer than 5",
21         "# words longer than 7",
22         "avg length of words longer than 7",
23         "# words longer than 9",
24         "avg length of words longer than 9",
25         "# words longer than 11",
26         "avg length of words longer than 11"
27     ]
.fi
.PP
Definition at line 387 of file models\&.py\&.
.SS "list pyspottedunipd\&.analysis\&.models\&.MLAnalysis\&.TIME_HEADERS_TO_CONVERT\fC [static]\fP"
\fBInitial value:\fP
.PP
.nf
1 = [
2         # "time"
3     ]
.fi
.PP
Definition at line 414 of file models\&.py\&.

.SH "Author"
.PP 
Generated automatically by Doxygen for PySpottedUnipd from the source code\&.
